{
  inputs = {
    nixpkgs.url = "nixpkgs/nixos-23.11";
    nixos-hardware.url = "github:NixOS/nixos-hardware/master";
  };

  outputs = { self, nixpkgs, nixos-hardware, ... }@attrs: {
    nixosConfigurations.firestar = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = attrs;
      modules = [
        ./desktop.nix
        ./firestar
        ./fonts.nix
        ./packages.nix
          (import ./user.nix {
          name = "Aode";
          authorizedKeys = [
            "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAILojJubDCB2Mc4fw2mdp5Lzg5mTifXwawIVuyb3vr4lB asonix@graystripe"
          ];
        })
        {
          services.openssh = {
            enable = true;
            settings.PermitRootLogin = "no";
          };
        }
      ];
    };
    nixosConfigurations.graystripe = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = attrs;
      modules = [
      	nixos-hardware.nixosModules.framework-11th-gen-intel
        ./desktop.nix
        ./fonts.nix
        ./graystripe
        ./packages.nix
        (import ./user.nix { name = "Tavi"; })
        {
          services.openssh = {
            enable = true;
            settings.PermitRootLogin = "no";
          };
        }
      ];
    };
    nixosConfigurations.squirrelflight = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";
      specialArgs = attrs;
      modules = [
        nixos-hardware.nixosModules.framework-16-7040-amd
        ./desktop.nix
        ./fonts.nix
        ./squirrelflight
        ./packages.nix
        (import ./user.nix { name = "Tavi"; })
        {
          services.openssh = {
            enable = true;
            settings.PermitRootLogin = "no";
          };
        }
      ];
    };
  };
}
